com.avaya.ccs.api

## Interface SuggestedResponseI

-     public interface SuggestedResponseI

  A suggested response is a prepared email response which an agent can use to quickly respond to common customer requests. Suggested Responses are configured in CCMM Administration

  To request Suggested Responses from CCS, invoke `EmailMediaI#requestSuggestedResponses()`

  Suggested Responses are returned by CCS in a `PayloadType#SuggestedResponseList` as a Media Response

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.avaya.ccs.core.InboundAttachment[]` | `getAttachments()` Get any attachments for this Suggested Response
    `java.lang.String` | `getBody()` The email body for this Suggested Response
    `int` | `getId()` A unique identifier to identify this Suggested Response
    `java.lang.String` | `getName()` The name of this Suggested Response
    `java.lang.String` | `getSubject()` The email subject for this Suggested Response
    `void` | `setAttachments(com.avaya.ccs.core.InboundAttachment[] attachments)` Set the attachments for this Suggested Response object
    `void` | `setBody(java.lang.String body)` Set the email body for this Suggested Response object
    `void` | `setId(int id)` Set the ID for this object instance
    `void` | `setName(java.lang.String name)` Set the name for this object instance
    `void` | `setSubject(java.lang.String subject)` set the subject for this object instance

- - ### Method Detail

    - #### getAttachments

          com.avaya.ccs.core.InboundAttachment[] getAttachments()

      Get any attachments for this Suggested Response
      Returns:
        the Suggested Response's file attachments

    - #### setAttachments

          void setAttachments(com.avaya.ccs.core.InboundAttachment[] attachments)

      Set the attachments for this Suggested Response object
      Parameters:
        `attachments` -

    - #### getBody

          java.lang.String getBody()

      The email body for this Suggested Response
      Returns:
        the Suggested Response's email body

    - #### setBody

          void setBody(java.lang.String body)

      Set the email body for this Suggested Response object
      Parameters:
        `body` - the email body

    - #### getId

          int getId()

      A unique identifier to identify this Suggested Response
      Returns:
        the Suggested Response's id

    - #### setId

          void setId(int id)

      Set the ID for this object instance
      Parameters:
        `id` -

    - #### getName

          java.lang.String getName()

      The name of this Suggested Response
      Returns:
        the Suggested Response's name

    - #### setName

          void setName(java.lang.String name)

      Set the name for this object instance
      Parameters:
        `name` -

    - #### getSubject

          java.lang.String getSubject()

      The email subject for this Suggested Response
      Returns:
        the Suggested Response's email subject

    - #### setSubject

          void setSubject(java.lang.String subject)

      set the subject for this object instance
      Parameters:
        `subject` -